#ifndef MSP_GRAPHICS_COCOAWINDOW_H_
#define MSP_GRAPHICS_COCOAWINDOW_H_

#ifdef __cplusplus
extern "C" {
#endif

struct _CocoaDisplay;

struct _CocoaWindow;
typedef struct _CocoaWindow CocoaWindow;

CocoaWindow *create_window(struct _CocoaDisplay *, unsigned, unsigned, bool, bool);
void destroy_window(CocoaWindow *);
void set_window_title(CocoaWindow *, const char *);
void set_window_size(CocoaWindow *, unsigned, unsigned);
void show_window(CocoaWindow *);
void hide_window(CocoaWindow *);

#ifdef __cplusplus
}
#endif

#endif
