#ifndef MSP_GRAPHICS_DISPLAY_PRIVATE_H_
#define MSP_GRAPHICS_DISPLAY_PRIVATE_H_

#include <map>
#include <vector>
#include "display.h"
#include "display_platform.h"
#include "window_private.h"

namespace Msp {
namespace Graphics {

struct Display::Private
{
	DisplayHandle display;
	std::map<WindowHandle, Window *> windows;
	std::vector<MonitorHandle> monitors;
	std::vector<ModeHandle> modes;
};

} // namespace Graphics
} // namespace Msp

#endif
